Subject: Re: bug#34858: indent-relative called with prefix calls tab-to-tab-stop

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Mar 2019 18:00:32 +0200

> From: Alex Branham <[email-masked]>
> Date: Thu, 14 Mar 2019 10:35:13 -0500
> 
> If the previous nonblank line has no indent points beyond the
> column point starts at, then `tab-to-tab-stop' is done, if both
> FIRST-ONLY and UNINDENTED-OK are nil, otherwise nothing is done
> in this case.
> 
> Yet in a buffer like this:
> 
> foo
> 
> with point at the beginning of line, C-u M-x indent-relative results in:
> 
>         test
> 
> I'm happy to submit a patch fixing this, but should it update the
> documentation to match what happens or should it update the code to
> match the documentation?

I think this is a documentation bug, as it doesn't describe the
special case of "no previous nonblank line".